#-----------------------------------------------------------------------------------------------------------------------
# # #task #1
# Напишіть програму, яка запитує у користувача його ім'я,
# якщо воно збігається з вашим, видає певне повідомлення.

my_name = "Oleksii Shevchenko"

name = input("""Hello!
Please, write here your name:""")

if my_name == name:
    print("Some text!!!")
else:
    print("Na.")

#-----------------------------------------------------------------------------------------------------------------------
# # #task #2

# Напишіть програму, яка обчислює значення функції
# 𝑦 = cos(3x), де - 𝜋 <= x <= 𝜋 та вводиться з клавіатури.
# Відповідь подати у радіанах.

#-----------------------------------------------------------------------------------------------------------------------
# # #task #3

# Напишіть програму, яка розв'язує квадратне рівняння 𝑎𝑥 2 + 𝑏𝑥 + 𝑐 = 0 у дійсних числах.
# На відміну від аналогічної вправи з минулого уроку, програма повинна видавати повідомлення про відсутність дійсних
# коренів, якщо значення дискримінанта 𝐷 = 𝑏 2 −4𝑎𝑐 негативне, єдине рішення 𝑥 = − 𝑏 / 2𝑎 ,
# якщо він дорівнює нулю, або два корені 𝑥1,2 = −b±D−−√/2a, якщо він позитивний.

#-----------------------------------------------------------------------------------------------------------------------
# # #task #4
# Напишіть програму-калькулятор, в якій користувач зможе обрати операцію, ввести необхідні числа та отримати результат.
# Операції, які необхідно реалізувати: додавання, віднімання, множення, ділення, зведення в ступінь, квадратний корінь,
# кубічний корінь, синус, косинус та тангенс числа.

operator = input("Please, enter the  ( + - / *): ")
num1 = float(input("1st number:"))
num2 = float(input("2nd number:"))

if operator == "+":
    result = num1 + num2
    print(f"The result is {result}")
elif operator == "-":
    result = num1 - num2
    print(f"The result is {result}")
elif operator == "*":
    result = num1 * num2
    print(f"The result is {result}")
elif operator == "/":
    result = num1 / num2
    print(f"The result is {result}")
else:
    print(f"{operator} is not a valid operator.")


#-----------------------------------------------------------------------------------------------------------------------
# # #task #5
# Напишіть програму для перевірки введеного числа на ознаку парності.
# Якщо число парне/непарне – вивести відповідне повідомлення на екран.
# Для опису цього алгоритму використовувати тернарний оператор.


number = int(input("Введіть число: "))

if number % 2 == 0:
    print("Число парне")
else:
    print("Число непарне")

#-----------------------------------------------------------------------------------------------------------------------
# # #task #6
# Написати програму визначення днів тижня.
# Дані про день тижня вводяться користувачем з клавіатури.
# Якщо будній день - виводити на екран повідомлення "Сьогодні на роботу", у вихідні дні - "Сьогодні вихідний",
# в інших випадках - "Такого дня не існує".
#
def get_day_type(day):
    weekdays = ["понеділок", "вівторок", "середа", "четвер", "п'ятниця"]
    weekends = ["субота", "неділя"]

    day = day.lower()

    if day in weekdays:
        return "Сьогодні на роботу."
    elif day in weekends:
        return "Сьогодні вихідний."
    else:
        return "Такого дня не існує."

day_input = input("Введіть день тижня: ")

result = get_day_type(day_input)
print(result)
